<template>
    <div class="resetpassword">
        <div class="backBtn">
            <md-button id="backBtn" @click="onBack">
                <md-icon>chevron_left</md-icon>
                <label for="backBtn">กลับ</label>
            </md-button>
        </div>
        <h1>ตั้งรหัสผ่านใหม่</h1>
        <img src="../assets/forgot password.png" alt="login" width="350px">
        <div class="resetpasswordForm">
            <md-field>
                <label>อีเมลล์</label>
                <md-input v-model="email"></md-input>
            </md-field>

            <md-button class="md-raised md-primary resetpasswordBtn" @click="resetpassword">ยืนยัน</md-button>
        </div>
    </div>
</template>

<script>
export default {
    name: 'Resetpassword',
    metaInfo: {
        title: 'ตั้งรหัสผ่านใหม่'
    },
    data() {
        return {
            email: ''
        }
    },
    methods: {
        onBack() {
            this.$router.replace('/login')
        },
        resetpassword() {

        },
    }
}
</script>

<style lang="scss" scoped>
h1 {
    font-size: 2.5rem;
}

.resetpassword {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.resetpasswordForm {
    width: 350px;
}

.backBtn {
    display: flex;
    align-items: center;
    text-align: left; 
    width: 415px;
}

.resetpasswordBtn {
    width: 100%;
    padding: 0;
    margin: 0;
    margin-top: 1rem;
}
</style>